Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1952926

Summary: Switching Cyrus Sasl from BerkeleyDB to GDBM
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Dmitry Belyavskiy <dbelyavs>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: bcotton, dbelyavs, ssorce
Target Milestone: ---Flags: dbelyavs: needinfo-
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-09-24 20:07:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1894270    

Description Ben Cotton 2021-04-23 15:24:23 UTC
This is a tracking bug for Change: Switching Cyrus Sasl from BerkeleyDB to GDBM
For more details, see: https://fedoraproject.org/wiki/Change/CyrusSaslBerkeleyDBtoGdbm

cyrus-sasl package was built with libdb requirement, now it is replaced by gdbm.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2021-08-10 12:33:02 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton.

Comment 2 Ben Cotton 2021-08-24 15:12:24 UTC
Today is the "Code complete (100% complete)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is 100% complete, please indicate this by setting this bug to the ON_QA status. Note that if you have further package updates to complete this Change you will need an approved blocker or release exception as we are now in the Beta Freeze.

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton.

Comment 3 Fedora Update System 2021-08-24 16:01:47 UTC
FEDORA-2021-ede3a14d4c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ede3a14d4c

Comment 4 Fedora Update System 2021-08-25 18:36:28 UTC
FEDORA-2021-ede3a14d4c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ede3a14d4c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ede3a14d4c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-09-24 20:07:37 UTC
FEDORA-2021-ede3a14d4c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.